Difference between revisions of "Template:Warnings"

From PCGamingWiki, the wiki about fixing PC games
(migrated to Cargo)
(rewritten version--now uses a switch input rather than doing repeated Cargo queries here directly (also moved DRM warnings here))
Line 1: Line 1:
<includeonly><p>'''Warnings'''<!--
+
<includeonly>{{#switch: {{{1|}}}
-->{{#ifeq:{{#var:VR}}|true|{{ii}} This game requires a virtual reality headset (see [[#VR support|VR support]] for details).}}<!--
+
|Always online={{ii}} This game requires a [[Digital rights management (DRM)#Always online|constant internet connection]] for all game modes.
-->{{#if:{{#cargo_query:tables=Tags|where=_pageID = {{PAGEID}} AND Always_online IS NOT NULL|fields=Always_online|default=}}|{{ii}} This game requires a [[Digital rights management (DRM)#Always online|constant internet connection]] for all game modes.}}<!--
+
|English hackable={{ii}} This game is only playable in English with a fan translation (see [[#Localizations|Localizations]] for details and other supported languages).
-->{{#cargo_query:tables=Availability|where=_pageID = {{PAGEID}} AND Uses_DRM HOLDS LIKE '%'|fields=Uses_DRM|no html|format=template|template=Warnings/DRM|default=}}<!--
+
|English false={{ii}} This game is not playable in English (see [[#Localizations|Localizations]] for supported languages).
-->{{#if:{{#cargo_query:tables=Tags|where=_pageID = {{PAGEID}} AND GameSpy IS NOT NULL|fields=GameSpy|default=}}|{{--}} [[GameSpy]] online services have been shut down (see [[#Network|Network]] for solutions).{{#vardefine:GameSpy|true}}}}<!--
+
|GFWL={{#if:{{#var:GFWL warned}}||{{ii}} For [[Games for Windows - LIVE]] on Windows 8 or later, install the latest [https://community.pcgamingwiki.com/files/file/1012-microsoft-games-for-windows-live/ Games for Windows - LIVE software].{{#vardefine:GFWL warned|true}}}}
-->{{#if:{{#cargo_query:tables=L10n|where=_pageID = {{PAGEID}} AND Language='English'|fields=Language|default=}}||{{ii}} This game is not playable in English (see [[#Localizations|Localizations]] for supported languages).}}<!--
+
|GameSpy={{--}} [[GameSpy]] online services have been shut down (see [[#Network|Network]] for solutions).{{#vardefine:GameSpy|true}}
-->{{#if:{{#cargo_query:tables=API|where=_pageID = {{PAGEID}} AND Mantle_support='true'|fields=Mantle_support|default=}}|{{ii}} Mantle graphics API option requires an AMD video card with a driver version earlier than Radeon Software Adrenalin 2019 Edition 19.5.1.<ref name="Mantle support">{{Refsnip|url=https://www.amd.com/en/support/kb/release-notes/rn-rad-win-19-5-1|title=AMD - Radeon Software Adrenalin 2019 Edition 19.5.1 Highlights|date=2019-05-15|snippet=Support for AMD Mantle API Technology has been discontinued starting with Radeon Software Adrenalin 2019 Edition 19.5.1. Users who wish to continue to use AMD Mantle API Technology may do so with prior supported Radeon Software releases.}}</ref>}}<!--
+
|macOS PowerPC only={{--}} The Mac OS X version of this game ''does not work'' on Mac OS X Lion (version 10.7) or later due to the removal of support for PowerPC apps.
-->{{#if:{{#var:OS X}}|{{#switch:{{#cargo_query:tables=API|where=_pageID = {{PAGEID}}|fields=macOS_Intel_32bit_app|no html|default=}}{{#cargo_query:tables=API|where=_pageID = {{PAGEID}}|fields=macOS_Intel_64bit_app|no html|default=}}
+
|macOS 64-bit false={{--}} The macOS (OS X) version of this game ''does not work'' on macOS Catalina (version 10.15) or later due to the removal of support for 32-bit-only apps.
|falsefalse={{#if:{{#cargo_query:tables=API|where=_pageID = {{PAGEID}} AND Mac_OS_X_PowerPC_app IS NOT NULL|fields=Mac_OS_X_PowerPC_app|default=}}|{{--}} The Mac OS X version of this game ''does not work'' on Mac OS X Lion (version 10.7) or later due to the removal of support for PowerPC apps.}}
+
|macOS 64-bit hackable={{ii}} The macOS (OS X) version of this game needs a fix to work on macOS Catalina (version 10.15) or later (see [[#API|API]] for details).
|truefalse={{--}} The macOS (OS X) version of this game ''does not work'' on macOS Catalina (version 10.15) or later due to the removal of support for 32-bit-only apps.
+
|Mantle={{ii}} Mantle graphics API option requires an AMD video card with a driver version earlier than Radeon Software Adrenalin 2019 Edition 19.5.1.<ref name="Mantle support">{{Refsnip|url=https://www.amd.com/en/support/kb/release-notes/rn-rad-win-19-5-1|title=AMD - Radeon Software Adrenalin 2019 Edition 19.5.1 Highlights|date=2019-05-15|snippet=Support for AMD Mantle API Technology has been discontinued starting with Radeon Software Adrenalin 2019 Edition 19.5.1. Users who wish to continue to use AMD Mantle API Technology may do so with prior supported Radeon Software releases.}}</ref>
|truehackable={{ii}} The macOS (OS X) version of this game needs a fix to work on macOS Catalina (version 10.15) or later (see [[#API|API]] for details).}}}}<!--
+
|SafeDisc = {{#if:{{#var:SafeDisc warned}}||{{#ifeq:{{#var:available digitally}}|false|{{--}} [[Digital rights management (DRM)#SafeDisc|SafeDisc]] retail [[Digital rights management (DRM)|<abbr title="Digital rights management (DRM)">DRM</abbr>]] no longer functions properly on Windows Vista and later (see [[#Availability|Availability]] for affected versions).}}{{#vardefine:SafeDisc warned|true}}}}
-->{{#if:{{#var:Windows 3.x}}|{{#if:{{#var:Windows native}}||{{ii}} The Windows 3.x version of this game ''does not work'' on 64-bit versions of Windows (see [[#Availability|Availability]] for affected versions).}}}}</includeonly><noinclude>{{Documentation}}</noinclude>
+
|StarForce = {{#if:{{#var:StarForce warned}}||{{#ifeq:{{#var:available digitally}}|false|{{#if:{{#cargo_query:tables=StarForce|where=_pageID = {{PAGEID}} AND StarForce_compatible='false'|fields=StarForce_compatible|default=}}|{{--}} [[Digital rights management (DRM)#StarForce|StarForce]] [[Digital rights management (DRM)|<abbr title="Digital rights management (DRM)">DRM</abbr>]] for this game ''does not work'' on modern versions of Windows (see [[#Availability|Availability]] for affected versions).}}}}{{#vardefine:StarForce warned|true}}}}
 +
|VR only={{ii}} This game requires a virtual reality headset (see [[#VR support|VR support]] for details).
 +
|Windows 3.x={{--}} The Windows 3.x version of this game ''does not work'' on 64-bit versions of Windows (see [[#Availability|Availability]] for affected versions).
 +
}}</includeonly><noinclude>{{Documentation}}</noinclude>

Revision as of 08:28, 21 October 2021

Documentation for the above template (sometimes hidden from view).

Notification template called by other templates (not to be added manually). See the Editing guide for further details.